Skip to content

Results are limited to the current section : Cloud Services

Get Jobs

GET
/api/v2/jobs

Retrieve a paginated list of jobs.

Supports ordering, pagination, and filtering via query parameters.

Returns: A paginated list of jobs excluding the result payload. To download results for a specific job, request a pre-signed URL via GET /api/v1/jobs/{job_id}/results_link.

order_by
Order By
string
default: created_at
order_by_direction
string
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
id
Id

Unique id for the job

Array<string>
default:

Unique id for the job

id__starts_with
Id Starts With

First characters of the job id

string
""

First characters of the job id

batch_id
Batch Id

Owner batch of the job

Array<string>
default:

Owner batch of the job

project_id
Project Id

Owner project of the job

Array<string>
default:

Owner project of the job

user_id
User Id

Owner user of the job

Array<string>
default:

Owner user of the job

status

Job status type enum

Array<string>
default:
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING

Job status type enum

min_runs
Min Runs

Minimum number of times the pulser sequence is repeated

integer
""

Minimum number of times the pulser sequence is repeated

max_runs
Max Runs

Maximum number of times the pulser sequence is repeated

integer
""

Maximum number of times the pulser sequence is repeated

errors
Errors

Whether errors were returned when executing the job

boolean
""

Whether errors were returned when executing the job

origin

Origin of the job

Array<string>
default:
Allowed values: CLIENT AZURE OVH UNKNOWN

Origin of the job

start_date
Start Date

Time when the emulator or QPU indicated a job was started

string format: date-time
""

Time when the emulator or QPU indicated a job was started

end_date
End Date

Time when the emulator or QPU indicated a job finished, failed or was cancelled

string format: date-time
""

Time when the emulator or QPU indicated a job finished, failed or was cancelled

Successful Response

HeaderPaginatedResponse[ProducedPartialJobResponseV2]

A list of responses with pagination information.

For backwards compatibility, this also exposes pagination using the following header format:

Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLE
object
status
string
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ProducedPartialJobResponseV2

Response to a request for a job.

This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, ‘logs_links’, ‘results link’ or ‘sequence’

object
id
required
Id

Unique identifier for the job.

string format: uuid
parent_id
required
Parent Id

ID of the original job if this job was created from a retry (rebatch).

string format: uuid
status
required

Current job status.

string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
runs
required
Runs

Number of times the pulse sequence is repeated.

integer
batch_id
required
Batch Id

ID of the batch this job belongs to.

string format: uuid
project_id
required
Project Id

ID of the project this job belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the job was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last job update.

string format: date-time
start_timestamp
required
Start Timestamp

Timestamp when the QPU or emulator started processing the job.

string format: date-time
end_timestamp
required
End Timestamp

Timestamp when the QPU or emulator finished, errored, or canceled the job.

string format: date-time
variables
required
Variables

Variable assignments used to build the pulse sequence for this job.

object
errors
required
Errors

Errors returned during job execution.

Array<string>
progress
required
Progress

Job progress percentage (0–100).

integer
<= 100
creation_order
required
Creation Order

Position of this job in the creation order within its batch.

integer
slurm_job_id
required
Slurm Job Id

SLURM job ID if the job was run on an emulator cluster.

string
slurm_cluster_name
required
Slurm Cluster Name

Name of the SLURM cluster where the job was submitted for execution.

string
Example
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "DONE",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:35:00Z",
"start_timestamp": "2025-01-15T10:31:00Z",
"end_timestamp": "2025-01-15T10:35:00Z",
"variables": {
"omega": 5
},
"progress": 100,
"creation_order": 1
}
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string